Skip to main content
GET
/
fleet
/
rules
cURL
curl --request GET \
  --url https://api.avala.ai/api/v1/fleet/rules/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "results": [
    {
      "name": "<string>",
      "condition": {},
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "enabled": true,
      "actions": {},
      "scope": {},
      "hit_count": 123,
      "last_hit_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Query Parameters

ordering
string

Which field to use when ordering the results.

cursor
string

The pagination cursor value.

limit
integer

Number of results to return per page.

Response

200 - application/json
results
object[]
required
next
string<uri> | null
previous
string<uri> | null